Subject: Re: [PATCH net-next 2/2] virtio-net: coalesce rx frags when possible during rx

From: Rusty Russell <[email-masked]>
Date: Fri, 01 Nov 2013 12:43:46 +1030

Jason Wang <[email-masked]> writes:
> Commit 2613af0ed18a11d5c566a81f9a6510b73180660a (virtio_net: migrate mergeable
> rx buffers to page frag allocators) try to increase the payload/truesize for
> MTU-sized traffic. But this will introduce the extra overhead for GSO packets
> received because of the frag list. This commit tries to reduce this issue by
> coalesce the possible rx frags when possible during rx. Test result shows the
> about 15% improvement on full size GSO packet receiving (and even better than
> commit 2613af0ed18a11d5c566a81f9a6510b73180660a).

I don't know about the other users of skb_add_rx_frag, but should
this coalesce-if-possible code be built into that?

Thanks,
Rusty.